# M:Yarn.Compiler.Position.op\_LessThanOrEqual(Yarn.Compiler.Position,Yarn.Compiler.Position)

TYPENAME\_UNKNOWN in [Position](/3.1/api/csharp/yarn.compiler/yarn.compiler.position.md)

## Summary

Compares two positions and returns true if `a` is equal to or before `b` .

```csharp
(no declaration available)
```

## Parameters

| Name | Description          |
| ---- | -------------------- |
| a    | The first position.  |
| b    | The second position. |

## Returns

true if a is before or equal to b; false otherwise.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.compiler/yarn.compiler.position/yarn.compiler.position.op_lessthanorequal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
